/* 
 * Copyright (C) 1997, 1998 Defence Research Establishment, Dept. of Comm.
 * Systems, FOA 72, Sweden.
 * Currently maintained by Christian Jnsson FOA 72 <chj@lin.foa.se>.
 *
 * This file is part of ETFTP version 1.1.3.
 *
 *   ETFTP is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   ETFTP is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with ETFTP; see the file GPL.  If not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA 02111-1307, USA.
 *
 * Code:
 *
 *----------------------------------------------------------------------
 * Filenamne:   cmd.h
 * Class:       Cmd
 * Created:     0.1, 970430, Per-Erik Forssn
 * Revised:     1.1, 980219, Torbjrn Frostemark
 * 
 * Description: Command processing functions, one per command.
 * Remarks:     In alphabetical order.
 *----------------------------------------------------------------------
 */

#ifndef _CMD
#define _CMD

#include "etftp.h"

/*
 * Methods available in cmd.c
 */

extern void CmdASCII();
extern void CmdAutoadapt();
extern void CmdBaudrate();
extern void CmdBinary();
extern void CmdBlocksize();
extern void CmdBufferblock();
extern void CmdBurstsize();
extern void CmdConnect();
extern void CmdExit();
extern void CmdGet();
extern void CmdHelp();
extern void CmdLocalport();
extern void CmdMode();
extern void CmdMultibuff();
extern void CmdPut();
extern void CmdRadiodelay();
extern void CmdStatus();
extern void CmdTrace();
extern void CmdVerbose();
extern void CmdHash();

extern char temptoken[];	/* temporary token for anyone to use */

typedef struct Cmds {
    char    *cmdName;		/* actual command string */
    void    (*cmdFunc)();	/* pointer to function */
    char    *cmdDesc;		/* help-text for command */
} Cmds;

extern Cmds commands[];
extern int  nCmds;		/* number of elements in array */

#endif /* _CMD */
